Pastebin launched a little side project called VERYVIRAL.com, check it out ;-) Want more features on Pastebin? Sign Up, it's FREE!
Guest

Untitled

By: a guest on May 13th, 2014  |  syntax: None  |  size: 3.05 KB  |  views: 164  |  expires: Never
download  |  raw  |  embed  |  report abuse  |  print
Text below is selected. Please press Ctrl+C to copy to your clipboard. (⌘+C on Mac)
  1. ======================================================================
  2. ERROR: test_client_start (usertests.tests.DatabaseTest)
  3. ----------------------------------------------------------------------
  4. Traceback (most recent call last):
  5.   File "/Users/schmitch/PycharmProjects/django2/django/db/backends/utils.py", line 63, in execute
  6.     return self.cursor.execute(sql, params)
  7. psycopg2.IntegrityError: duplicate key value violates unique constraint "django_content_type_app_label_model_key"
  8. DETAIL:  Key (app_label, model)=(admin, logentry) already exists.
  9.  
  10.  
  11. The above exception was the direct cause of the following exception:
  12.  
  13. Traceback (most recent call last):
  14.   File "/Users/schmitch/PycharmProjects/django2/django/test/testcases.py", line 182, in __call__
  15.     self._post_teardown()
  16.   File "/Users/schmitch/PycharmProjects/django2/django/test/testcases.py", line 831, in _post_teardown
  17.     self._fixture_teardown()
  18.   File "/Users/schmitch/PycharmProjects/django2/django/test/testcases.py", line 866, in _fixture_teardown
  19.     connections[db_name]._test_serialized_contents
  20.   File "/Users/schmitch/PycharmProjects/django2/django/db/backends/creation.py", line 412, in deserialize_db_from_string
  21.     obj.save()
  22.   File "/Users/schmitch/PycharmProjects/django2/django/core/serializers/base.py", line 173, in save
  23.     models.Model.save_base(self.object, using=using, raw=True)
  24.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/base.py", line 622, in save_base
  25.     updated = self._save_table(raw, cls, force_insert, force_update, using, update_fields)
  26.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/base.py", line 703, in _save_table
  27.     result = self._do_insert(cls._base_manager, using, fields, update_pk, raw)
  28.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/base.py", line 736, in _do_insert
  29.     using=using, raw=raw)
  30.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/manager.py", line 80, in manager_method
  31.     return getattr(self.get_queryset(), name)(*args, **kwargs)
  32.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/query.py", line 915, in _insert
  33.     return query.get_compiler(using=using).execute_sql(return_id)
  34.   File "/Users/schmitch/PycharmProjects/django2/django/db/models/sql/compiler.py", line 919, in execute_sql
  35.     cursor.execute(sql, params)
  36.   File "/Users/schmitch/PycharmProjects/django2/django/db/backends/utils.py", line 63, in execute
  37.     return self.cursor.execute(sql, params)
  38.   File "/Users/schmitch/PycharmProjects/django2/django/db/utils.py", line 94, in __exit__
  39.     six.reraise(dj_exc_type, dj_exc_value, traceback)
  40.   File "/Users/schmitch/PycharmProjects/django2/django/utils/six.py", line 549, in reraise
  41.     raise value.with_traceback(tb)
  42.   File "/Users/schmitch/PycharmProjects/django2/django/db/backends/utils.py", line 63, in execute
  43.     return self.cursor.execute(sql, params)
  44. django.db.utils.IntegrityError: duplicate key value violates unique constraint "django_content_type_app_label_model_key"
  45. DETAIL:  Key (app_label, model)=(admin, logentry) already exists.